Bug 115101 - [BlackBerry] Should check if it's cached resource before download
Summary: [BlackBerry] Should check if it's cached resource before download
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit BlackBerry (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Mary Wu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-24 05:18 PDT by Mary Wu
Modified: 2013-04-26 06:58 PDT (History)
5 users (show)

See Also:


Attachments
patch (5.70 KB, patch)
2013-04-24 21:15 PDT, Mary Wu
no flags Details | Formatted Diff | Diff
add assert check (5.84 KB, patch)
2013-04-25 01:18 PDT, Mary Wu
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mary Wu 2013-04-24 05:18:23 PDT
Since main resource maybe cached, if user want to save the resource, we don't need to initiate a fresh load again, but get the cached resource data out to save.
Comment 1 Mary Wu 2013-04-24 21:15:46 PDT
Created attachment 199617 [details]
patch
Comment 2 Mary Wu 2013-04-25 01:18:34 PDT
Created attachment 199629 [details]
add assert check
Comment 3 Rob Buis 2013-04-26 05:53:08 PDT
Comment on attachment 199629 [details]
add assert check

Ok.
Comment 4 WebKit Commit Bot 2013-04-26 06:58:10 PDT
Comment on attachment 199629 [details]
add assert check

Clearing flags on attachment: 199629

Committed r149182: <http://trac.webkit.org/changeset/149182>
Comment 5 WebKit Commit Bot 2013-04-26 06:58:12 PDT
All reviewed patches have been landed.  Closing bug.